%define	version 0.2.6
%define kdename kfilecoder
%define release 10mdk

Name: %{kdename}
Summary: File encoder application
Version: %{version}
Release: %{release}
Source:  %{name}-%{version}.tar.bz2
Source1: kfilecoder_menuentry
Patch: kfilecoder-gcc2.9.5.patch.bz2
Patch1: kfilecoder-marie.diff.bz2
Group: File tools
Copyright: GPL
BuildRoot: /var/tmp/%{name}-buildroot
Requires: qt kdelibs

%description
Application that encodes files with a password for the K Desktop Environment.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
find \( -name .deps -o -name config.cache \) |xargs rm -Rf
%patch -p0 -b .gcc2.9.5
%patch1 -p1

%build
libtoolize --force
export KDEDIR=/usr
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --with-install-root=$RPM_BUILD_ROOT --disable-rpath

mkdir -p $RPM_BUILD_ROOT    
if [ "$SMP" != "" ]; then
  (make KDEDIR=$KDEDIR "MAKE=make -k -j $SMP"; exit 0)
  make KDEDIR=$KDEDIR
else
  make KDEDIR=$KDEDIR
fi

%install
export KDEDIR=/usr
make prefix=$RPM_BUILD_ROOT$KDEDIR install

# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/kfilecoder

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
if [ "$1" = "0" ]; then
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi

%files 
%defattr(-,root,root,755)
/usr/bin/kfilecoder
/usr/lib/menu/kfilecoder
%dir /usr/share/apps
/usr/share/apps/kfilecoder
%dir /usr/share/icons
/usr/share/icons/kfilecoder.xpm
%dir /usr/share/icons/mini
/usr/share/icons/mini/kfilecoder.xpm
/usr/share/mimelnk/application/x-kfilecoder.kdelnk

%changelog
* Fri May  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.2.6-10mdk
- added back x-kfilecoder.kdelnk

* Fri May  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.2.6-9mdk
- added MimeType.

* Wed Apr 05 2000 Francis Galiegue <fg@mandrakesoft.com> 0.2.6-8mdk

- Post and postun scripts
- Added --disable-rpath in ./configure

* Mon Mar 27 2000 Francis Galiegue <fg@mandrakesoft.com> 0.2.6-7mdk

- Don't use prefix
- Don't use autogenerated file list
- Menu entry
- Changed group

* Thu Jan 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 
- Libtoolize --force.

* Mon Nov 22 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance

* Fri Oct 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix translations of kdelnk.

* Wed Sep 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for Cooker

* Tue Sep 07 1999 Daouda LO <daouda@mandrakesoft.com>
- 0.2.6 
- change the name kfilecoder-src to kfilecoder

* Sun Aug 29 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- Inital RPM.

